import express from 'express';
import db from './db.js'

const router = express.Router();

router.get('/:adId', async (req, res) => {
    const { adId } = req.params;
    try {
      const query = `
        SELECT 
          ads.*, 
          areas.area AS area, 
          cities.city AS city 
        FROM ads
        LEFT JOIN areas ON ads.areasid = areas.id
        LEFT JOIN cities ON ads.citiesid = cities.id
        WHERE ads.id = ?
      `;
      const [rows] = await db.query(query, [adId]);
      if (rows.length === 0) {
        return res.status(404).json({ message: 'الإعلان غير موجود' });
      }
      res.json(rows[0]);
    } catch (error) {
      res.status(500).json({ message: 'حدث خطأ أثناء جلب تفاصيل الإعلان.' });
    }
  });
  
  

export default router;
