import express from 'express';
import db from './db.js'

const router = express.Router();

router.get('/all', async (req, res) => {
    try {
      const query = `
        SELECT 
          ads.*,
          admins.username AS user,
          areas.area AS area, 
          cities.city AS city 
        FROM ads
        LEFT JOIN admins ON ads.useradsid = admins.username
        LEFT JOIN areas ON ads.areasid = areas.id
        LEFT JOIN cities ON ads.citiesid = cities.id
      `;
  
      const [rows] = await db.query(query);
      res.json(rows);
    } catch (error) {
      res.status(500).json({ message: 'حدث خطأ أثناء جلب الإعلانات.' });
    }
  });
  

export default router;
