import express from 'express';
import db from './db.js'

const router = express.Router();

// إضافة قسم جديد
router.post('/add', async (req, res) => {
  const { qsm } = req.body;

  try {
    const [result] = await db.query('INSERT INTO alaqsam (qsm) VALUES (?)', [qsm]);
    res.json({ message: 'قسم جديد تمت إضافته بنجاح!', id: result.insertId });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء إضافة القسم.' });
  }
});

// جلب جميع الأقسام
router.get('/', async (req, res) => {
  try {
    const [rows] = await db.query('SELECT * FROM alaqsam');
    res.json(rows);
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء جلب الأقسام.' });
  }
});

// تعديل قسم
router.put('/edit/:id', async (req, res) => {
  const { id } = req.params;
  const { qsm } = req.body;

  try {
    await db.query('UPDATE alaqsam SET qsm = ? WHERE id = ?', [qsm, id]);
    res.json({ message: 'تم تعديل القسم بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء تعديل القسم.' });
  }
});

// حذف قسم
router.delete('/delete/:id', async (req, res) => {
  const { id } = req.params;

  try {
    await db.query('DELETE FROM alaqsam WHERE id = ?', [id]);
    res.json({ message: 'تم حذف القسم بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء حذف القسم.' });
  }
});

export default router;
