import express from 'express';
import db from './db.js';

const router = express.Router();

// إضافة فرع جديد
router.post('/add', async (req, res) => {
  const { alfr2, alfro_id } = req.body;

  try {
    const [result] = await db.query('INSERT INTO alfroo (alfr2, alfro_id) VALUES (?, ?)', [alfr2, alfro_id]);
    res.json({ message: 'تم إضافة الفرع الثاني بنجاح!', id: result.insertId });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء إضافة الفرع الثاني.' });
  }
});

// جلب جميع الفروع الثانية مع الفروع الأولى المرتبطة بها
router.get('/', async (req, res) => {
  try {
    const [rows] = await db.query(`
      SELECT alfroo.id, alfroo.alfr2, alfro.alfr1, alfro.id as alfro_id 
      FROM alfroo 
      JOIN alfro ON alfroo.alfro_id = alfro.id
    `);
    res.json(rows);
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء جلب الفروع الثانية.' });
  }
});

// تعديل فرع
router.put('/edit/:id', async (req, res) => {
  const { id } = req.params;
  const { alfr2, alfro_id } = req.body;

  try {
    await db.query('UPDATE alfroo SET alfr2 = ?, alfro_id = ? WHERE id = ?', [alfr2, alfro_id, id]);
    res.json({ message: 'تم تعديل الفرع الثاني بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء تعديل الفرع الثاني.' });
  }
});

// حذف فرع
router.delete('/delete/:id', async (req, res) => {
  const { id } = req.params;

  try {
    await db.query('DELETE FROM alfroo WHERE id = ?', [id]);
    res.json({ message: 'تم حذف الفرع الثاني بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء حذف الفرع الثاني.' });
  }
});

export default router;
