import mysql from 'mysql2/promise';
import dotenv from 'dotenv';

dotenv.config(); // تحميل المتغيرات من .env

const pool = mysql.createPool({
  host: process.env.DB_HOST,
  user: process.env.DB_USER,
  password: process.env.DB_PASSWORD,
  database: process.env.DB_NAME,
  waitForConnections: true,
  connectionLimit: 10,
  queueLimit: 0,
  timezone: 'Z', // ضبط الوقت إلى UTC
});

export default pool;


/*
// إنشاء الاتصال بقاعدة البيانات
const db = mysql.createConnection({
    host: process.env.DB_HOST,
    user: process.env.DB_USER,
    password: process.env.DB_PASSWORD,
    database: process.env.DB_NAME
});

// التحقق من الاتصال
db.connect((err) => {
    if (err) {
        console.error('خطأ أثناء الاتصال بقاعدة البيانات:', err.message);
    } else {
        console.log('تم الاتصال بقاعدة البيانات بنجاح!');
    }
});

// تصدير الاتصال
export default db;
*/