import React from "react";
import { Link } from "react-router-dom";
import "./TermsAndPrivacy.css";

const TermsAndPrivacy = () => {
  return (
    <div className="terms-privacy-page">
      
      {/* الهيدر الأول */}
      <header className="header header1">
  {/* اللوجو على اليسار */}
  <img src="/logo/001.png" alt="Logo" className="logo-image" />
  
  {/* عنوان الموقع على اليمين */}
  <span className="site-name">إعلانات 2030</span>
</header>

{/* الهيدر الثاني */}
<header className="header header2">
  <div className="button-container">
    <button className="button">
      <Link to="/">الرئيسية</Link>
    </button>               
    <button className="button">
      <Link to="/login">تسجيل الدخول</Link>
    </button>
    <button className="button">
      <Link to="/register">تسجيل جديد</Link>
    </button>
  </div>
</header>

      {/* المحتوى الرئيسي */}
      <main className="terms-privacy-content">
        <h1>الشروط والأحكام</h1>
        <p>
          أهلاً وسهلاً بكم في موقع "إعلانات 2030". باستخدامك لهذا الموقع، فإنك
          توافق على الالتزام بالشروط والأحكام التالية:
        </p>
        <ul>
          <li>يجب أن تكون جميع المعلومات المقدمة صحيحة ومحدثة.</li>
          <li>
            يُحظر نشر أي محتوى غير قانوني، أو مسيء، أو ينتهك حقوق الآخرين.
          </li>
          <li>
            يحتفظ الموقع بحق تعديل أو حذف أي إعلان دون إشعار مسبق إذا كان
            مخالفًا للشروط.
          </li>
          <li>استخدام الموقع يجب أن يكون وفق القوانين المحلية والدولية.</li>
        </ul>

        <h2>سياسة الخصوصية</h2>
        <p>
          نحن نهتم بحماية خصوصيتك. باستخدامك لهذا الموقع، فإنك توافق على جمع
          واستخدام المعلومات وفقًا للسياسة التالية:
        </p>
        <ul>
          <li>
            يتم جمع المعلومات الشخصية مثل الاسم والبريد الإلكتروني فقط عند
            التسجيل.
          </li>
          <li>نلتزم بعدم مشاركة معلوماتك الشخصية مع أطراف ثالثة دون موافقتك.</li>
          <li>
            يتم استخدام ملفات تعريف الارتباط (Cookies) لتحسين تجربة المستخدم.
          </li>
        </ul>

        <h3>تحديثات الشروط والسياسات</h3>
        <p>
          نحن نحتفظ بحق تحديث هذه الشروط والسياسات في أي وقت. يرجى مراجعتها بشكل
          دوري للتأكد من معرفتك بالتغييرات.
        </p>
      </main>

      {/* الفوتر */}
      <footer className="footer"><p>2025 © ads2030.com جميع الحقوق محفوظة</p><p><p><Link to="/termsandprivacy">الشروط والأحكام</Link></p></p></footer>
    </div>
  );
};

export default TermsAndPrivacy;
